Package com.avaya.clientservices.call.conference

## Interface PendingParticipant

- All Superinterfaces:
    `Participant`

      public interface PendingParticipant
      extends Participant

  PendingParticipant class represents a participant waiting to join the conference.

  When a conference call is locked, a person who wishes to join the call may "knock on the conference room door" using conference server's knock on the door feature. This person is described as a pending participant, because the person is waiting to join the call. The conference moderator(s) may choose to grant or reject the pending participant's request. Access grant and rejection are controlled by the accept() and deny() methods defined on the PendingParticipant object, respectively.

  It should be noted that not all conference server releases support this feature. The client application should check conference object's getPendingParticipantsCapability() to find out whether the conference server supports this feature, and the local user has permission to accept/reject entry to pending participants.

  Not Supported

  The pending participant feature is currently not supported.

  This class and all of its supporting classes are for internal Avaya use only and should not be used by third party applications at this time. This is an incubating feature that is currently under development and the classes and methods associated with this feature are subject to change at any time. Use of this feature will not be supported by Avaya until such time that it is officially released.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `accept​(CallCompletionHandler handler)` | Allows the participant to join the conference call.
    `void` | `addListener​(PendingParticipantListener listener)` | Adds a new `PendingParticipantListener` to the participant.
    `void` | `deny​(CallCompletionHandler handler)` | Denies the participant from joining the conference call.
    `java.util.Date` | `getAdmissionTimeStamp()` | Represents the time when participant has requested admission to join the conference
    `void` | `removeListener​(PendingParticipantListener listener)` | Removes a `PendingParticipantListener` from the participant.

    - ### Methods inherited from interface com.avaya.clientservices.call.conference.Participant

      `addListener, getAddress, getAllPossibleContactMatches, getBestContactMatch, getDisplayName, getParticipantId, isLocalUser, removeListener, sendPrivateChatMessage`

- - ### Method Detail

    - #### addListener

          void addListener​(PendingParticipantListener listener)

      Adds a new `PendingParticipantListener` to the participant.
      Parameters:
        `listener` - Listener instance that should be added to the participant.
      See Also:
        `removeListener(PendingParticipantListener listener)`

    - #### removeListener

          void removeListener​(PendingParticipantListener listener)

      Removes a `PendingParticipantListener` from the participant.
      Parameters:
        `listener` - Listener instance that is removed from the participant.
      See Also:
        `addListener(PendingParticipantListener listener)`

    - #### accept

          void accept​(CallCompletionHandler handler)

      Allows the participant to join the conference call. A pending user is reported by the ConferenceListener.onConferenceParticipantPending() callback. When accept() is successful, CallListener.onParticipantAdded() is called.
      Parameters:
        `handler` - Object that wants to learn about the result of the operation, i.e., whether it was successful.
      See Also:
        `ConferenceListener`

    - #### deny

          void deny​(CallCompletionHandler handler)

      Denies the participant from joining the conference call. A pending user is reported by the ConferenceListener.onConferenceParticipantPending() callback.
      Parameters:
        `handler` - Object that wants to learn about the result of the operation, i.e., whether it was successful.
      See Also:
        `ConferenceListener`

    - #### getAdmissionTimeStamp

          java.util.Date getAdmissionTimeStamp()

      Represents the time when participant has requested admission to join the conference
      Returns:
        date and time value.